package com.yanzhu.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
/**
 * 考勤配置对象 attendance_cfg
 * 
 * @author yanzhu
 * @date 2024-10-08
 */
public class AttendanceCfg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 公司主键 */
    @Excel(name = "公司主键")
    private Long comId;

    /** 分包单位 */
    @Excel(name = "分包单位")
    private Long projectId;

    /**  厂商编号(参考字典attendance_vendors) */
    @Excel(name = " 厂商编号(参考字典attendance_vendors)")
    private String vendorsCode;

    /** 厂商参数 */
    @Excel(name = "厂商参数")
    private String vendorsParameter;

    /** 1-启用,0-停用 */
    @Excel(name = "1-启用,0-停用")
    private Long enabled;

    /** 状态 */
    @Excel(name = "状态")
    private Long state;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isDel;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setComId(Long comId) 
    {
        this.comId = comId;
    }

    public Long getComId() 
    {
        return comId;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setVendorsCode(String vendorsCode) 
    {
        this.vendorsCode = vendorsCode;
    }

    public String getVendorsCode() 
    {
        return vendorsCode;
    }
    public void setVendorsParameter(String vendorsParameter) 
    {
        this.vendorsParameter = vendorsParameter;
    }

    public String getVendorsParameter() 
    {
        return vendorsParameter;
    }
    public void setEnabled(Long enabled) 
    {
        this.enabled = enabled;
    }

    public Long getEnabled() 
    {
        return enabled;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    private String compName;
    private String projectName;
    private String vendorsName;
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getVendorsName() {
        return vendorsName;
    }

    public void setVendorsName(String vendorsName) {
        this.vendorsName = vendorsName;
    }

    public String getCompName() {
        return compName;
    }

    public void setCompName(String compName) {
        this.compName = compName;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("vendorsCode", getVendorsCode())
            .append("vendorsParameter", getVendorsParameter())
            .append("enabled", getEnabled())
            .append("state", getState())
            .append("remark", getRemark())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
